#ifndef _DB_H_
#define _DB_H_

#include "PalmOS.h"

#ifndef dmInvalidRecIndex					//why is this not in the sdk???
#define dmInvalidRecIndex	((UInt16)(-1))
#endif


#define DB_NAME		"DynaClockUiDB"
#define DB_TYPE		'DATA'
#define DB_CRID		'PPdU'

#define SYSTEM_CRID	'psys'		//used for default system setting

typedef struct{
	
	UInt32	minState;
	UInt32	maxState;
	char	reserved[24];		//reserved for future use, set to all zeroes for now
	
}dbRecType;


DmOpenRef openDb();				//open the db

Boolean getRecord(DmOpenRef db,UInt32 crid,dbRecType* rec);	//get record, return if sucess

void setRecord(DmOpenRef db,UInt32 crid,dbRecType* rec);	//set record




#endif