#include <PalmOS.h>
#include "util.h"


void StrIToACat(char* str,Int32 num){	//concatenate a number to a string
	
	StrIToA(str+StrLen(str),num);
	
}

void StrIToA_100(char* d,Int32 n){
	
	UInt32 t,b;
	
	t=n/100;
	b=n%100;
	
	d+=StrLen(StrIToA(d,t));
	*(d++)='.';
	if(b<10)	*(d++)='0';
	StrIToA(d,b);
}

void StrIToACat_100(char* str,Int32 val){
	
	StrIToA_100(str+StrLen(str),val);
	
}

void makeStateString(char* dst,UInt32 state,UInt32 cpu,UInt32 bus,UInt32 mem){
	
	StrIToA(dst,state);
	StrCat(dst,": CPU=");
	StrIToACat(dst,cpu);	//we are guranteed that cpu speed is always controlled
	
	if(bus){
		
		StrCat(dst," BUS=");
		StrIToACat(dst,bus);
		
	}
	
	if(mem){
		
		StrCat(dst," MEM=");
		StrIToACat(dst,mem);
		
	}
}